Subject: bug#65186: 29.0.91; `dired-free-space' is a step backward

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Aug 2023 09:12:45 +0300

> From: Drew Adams <[email-masked]>
> Date: Wed, 9 Aug 2023 22:03:36 +0000
> 
> Dunno how such a change was made to the _default_ Emacs behavior.
> Shouldn't have happened, IMHO.
> 
> Two main problems with this self-styled enhancement:
> 
> 1. The default behavior should be what we've always had, which
> corresponds to NONE of the `dired-free-space' option values.

The 'separate' value (which is not the default) produces the behavior
we had in Emacs 28 and older, so why do you say that "what we always
had corresponds to none" of the option's values?

> 2. Even if you set the option to `separate', so you see the full info,
> you can't get the superior previous behavior, which is that there's _no
> such info_ shown when you hide details (`(').
> 
> Instead, Someone(TM) maybe thought that those interested in what
> Someone(TM) doesn't think interesting - the full info - always want to
> see that info, even with details hidden.  Blinders...

I think it was just an oversight, now fixed on the emacs-29 branch.